Qt 5.8 | Qt 3D | C++ Classes | QBlendEquation

Qt 5.8.0 Reference Documentation

# QBlendEquation Class

(Qt3DRender::QBlendEquation)

The QBlendEquation class specifies the equation used for both the RGB blend equation and the Alpha blend equation More...

Header: | #include <QBlendEquation>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | BlendEquation
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Types

enum | BlendFunction { Add, Subtract, ReverseSubtract, Min, Max }

## Properties

- blendFunction : BlendFunction

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QBlendEquation(Qt3DCore::QNode *parent = nullptr)
BlendFunction | blendFunction() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBlendFunction(BlendFunction blendFunction)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | blendFunctionChanged(BlendFunction blendFunction)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QBlendEquation class specifies the equation used for both the RGB blend equation and the Alpha blend equation

The blend equation is used to determine how a new pixel is combined with a pixel already in the framebuffer.

## Member Type Documentation

### enum QBlendEquation::BlendFunction

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QBlendEquation::Add` | `0x8006` | GL_FUNC_ADD
`Qt3DRender::QBlendEquation::Subtract` | `0x800A` | GL_FUNC_SUBTRACT
`Qt3DRender::QBlendEquation::ReverseSubtract` | `0x800B` | GL_FUNC_REVERSE_SUBTRACT
`Qt3DRender::QBlendEquation::Min` | `0x8007` | GL_MIN
`Qt3DRender::QBlendEquation::Max` | `0x8008` | GL_MAX

## Property Documentation

### blendFunction : BlendFunction

Holds the blend function, which determines how source and destination colors are combined.

Access functions:

BlendFunction | blendFunction() const
void | setBlendFunction(BlendFunction blendFunction)

Notifier signal:

void | blendFunctionChanged(BlendFunction blendFunction)

## Member Function Documentation

### QBlendEquation::QBlendEquation(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QBlendEquation.